> This page is for version Legacy.
> For other versions, use one of these documentation indexes:
> - 2024-10-01 (default): https://docs.getkard.com/2024-10-01/llms.txt
> - Legacy: https://docs.getkard.com/legacy/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getkard.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getkard.com/_mcp/server.

# Create Audit

POST https://rewards-api.getkard.com/transactions/audit
Content-Type: application/json

Call this endpoint to request that a particular transaction be audited further by the Kard system, in the event of a missing cashback claim, incorrect cashback amount claim or other mis-match claims.
Required scopes: `audit:write`

Reference: https://docs.getkard.com/legacy/api/transactions/create-audit

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://rewards-api.getkard.com` (Production, default)
- `https://test-rewards-api.getkard.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a CreateAuditRequestBody.

- `transactionId` (string, required) — Transaction ID from issuer to audit
- `auditCode` (integer, required) — Audit Code - Enum. Please submit the code that is most relevant to your audit request.`3005` : Customer is claiming cashback is incorrect - INCORRECT CASHBACK CLAIM`3006` : Transaction is missing the cashback award - MISSING CASHBACK AWARD`8001` : Other - check audit description
- `merchantName` (string, required) — Merchant name related to the transaction audit
- `auditDescription` (string, required) — Audit Description. Please provide more details around the audit
- `preferredContactEmail` (string, required) — Preferred contact email to message to as audit is reviewed
- `issuer` (string, required) — Issuer name
- `transactionAmountInCents` (integer, optional) — Transaction amount in cents
- `referringPartnerUserId` (string, optional) — Referring partner user ID associated with the transaction to audit
- `merchantId` (string, optional) — Related merchant ID in Kard's system associated to the transaction audit
- `submitterName` (string, optional) — Submitter name

## Response

### 201

- `_id` (string, required) — Audit Request ID
- `transactionId` (string, required) — Cardlinked Transaction ID
- `auditCode` (integer, required) — Audit Code - Enum`3005` : Customer is claiming cashback is incorrect - INCORRECT CASHBACK CLAIM`3006` : Transaction is missing the cashback award - MISSING CASHBACK AWARD`8001` : Other - check audit description
- `merchantName` (string, required) — Merchant name
- `auditDescription` (string, required) — Audit Description
- `preferredContactEmail` (string, required) — Preferred Contact Email
- `status` (enum, required) — Status of Audit
  - Allowed values: `NEW`, `IN_PROGRESS`, `CLOSED`
- `transactionAmountInCents` (integer, optional) — Transaction amount in cents
- `referringPartnerUserId` (string, optional) — User ID
- `merchantId` (string, optional) — Internal Kard Merchant ID
- `submitterName` (string, optional) — Submitter Name

## Errors

### 401 Unauthorized Error

- `message` (string, required)

### 500 Internal Server Error

- `string`

### 400 Invalid Request

- `InvalidRequestUnion`

### 409 Conflict Error

- `string`

## Types

### RequestValidationErrorResponse

- `errors` (list of string, required)

## Examples

**Request**

```json
{
  "transactionId": "some cardlinked transaction id",
  "auditCode": 8001,
  "merchantName": "Caribbean Goodness",
  "auditDescription": "duplicate",
  "preferredContactEmail": "someone@company.com",
  "issuer": "Bank of You",
  "transactionAmountInCents": 2600,
  "referringPartnerUserId": "5e135a5a2b1f4c0008c9df79",
  "merchantId": "5e27318c9b346f00087fbb32",
  "submitterName": "Submitter Name"
}
```

**Response**

```json
{
  "_id": "5eb2d4a39ce24e00081488c4",
  "transactionId": "some cardlinked transaction id",
  "auditCode": 8001,
  "merchantName": "Caribbean Goodness",
  "auditDescription": "duplicate",
  "preferredContactEmail": "someone@company.com",
  "status": "NEW",
  "transactionAmountInCents": 2600,
  "referringPartnerUserId": "5e135a5a2b1f4c0008c9df79",
  "merchantId": "5e27318c9b346f00087fbb32",
  "submitterName": "Submitter Name"
}
```

**SDK Code**

```python
import requests

url = "https://rewards-api.getkard.com/transactions/audit"

payload = {
    "transactionId": "some cardlinked transaction id",
    "auditCode": 8001,
    "merchantName": "Caribbean Goodness",
    "auditDescription": "duplicate",
    "preferredContactEmail": "someone@company.com",
    "issuer": "Bank of You",
    "transactionAmountInCents": 2600,
    "referringPartnerUserId": "5e135a5a2b1f4c0008c9df79",
    "merchantId": "5e27318c9b346f00087fbb32",
    "submitterName": "Submitter Name"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rewards-api.getkard.com/transactions/audit';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"transactionId":"some cardlinked transaction id","auditCode":8001,"merchantName":"Caribbean Goodness","auditDescription":"duplicate","preferredContactEmail":"someone@company.com","issuer":"Bank of You","transactionAmountInCents":2600,"referringPartnerUserId":"5e135a5a2b1f4c0008c9df79","merchantId":"5e27318c9b346f00087fbb32","submitterName":"Submitter Name"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://rewards-api.getkard.com/transactions/audit"

	payload := strings.NewReader("{\n  \"transactionId\": \"some cardlinked transaction id\",\n  \"auditCode\": 8001,\n  \"merchantName\": \"Caribbean Goodness\",\n  \"auditDescription\": \"duplicate\",\n  \"preferredContactEmail\": \"someone@company.com\",\n  \"issuer\": \"Bank of You\",\n  \"transactionAmountInCents\": 2600,\n  \"referringPartnerUserId\": \"5e135a5a2b1f4c0008c9df79\",\n  \"merchantId\": \"5e27318c9b346f00087fbb32\",\n  \"submitterName\": \"Submitter Name\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rewards-api.getkard.com/transactions/audit")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"transactionId\": \"some cardlinked transaction id\",\n  \"auditCode\": 8001,\n  \"merchantName\": \"Caribbean Goodness\",\n  \"auditDescription\": \"duplicate\",\n  \"preferredContactEmail\": \"someone@company.com\",\n  \"issuer\": \"Bank of You\",\n  \"transactionAmountInCents\": 2600,\n  \"referringPartnerUserId\": \"5e135a5a2b1f4c0008c9df79\",\n  \"merchantId\": \"5e27318c9b346f00087fbb32\",\n  \"submitterName\": \"Submitter Name\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://rewards-api.getkard.com/transactions/audit")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"transactionId\": \"some cardlinked transaction id\",\n  \"auditCode\": 8001,\n  \"merchantName\": \"Caribbean Goodness\",\n  \"auditDescription\": \"duplicate\",\n  \"preferredContactEmail\": \"someone@company.com\",\n  \"issuer\": \"Bank of You\",\n  \"transactionAmountInCents\": 2600,\n  \"referringPartnerUserId\": \"5e135a5a2b1f4c0008c9df79\",\n  \"merchantId\": \"5e27318c9b346f00087fbb32\",\n  \"submitterName\": \"Submitter Name\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://rewards-api.getkard.com/transactions/audit', [
  'body' => '{
  "transactionId": "some cardlinked transaction id",
  "auditCode": 8001,
  "merchantName": "Caribbean Goodness",
  "auditDescription": "duplicate",
  "preferredContactEmail": "someone@company.com",
  "issuer": "Bank of You",
  "transactionAmountInCents": 2600,
  "referringPartnerUserId": "5e135a5a2b1f4c0008c9df79",
  "merchantId": "5e27318c9b346f00087fbb32",
  "submitterName": "Submitter Name"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rewards-api.getkard.com/transactions/audit");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"transactionId\": \"some cardlinked transaction id\",\n  \"auditCode\": 8001,\n  \"merchantName\": \"Caribbean Goodness\",\n  \"auditDescription\": \"duplicate\",\n  \"preferredContactEmail\": \"someone@company.com\",\n  \"issuer\": \"Bank of You\",\n  \"transactionAmountInCents\": 2600,\n  \"referringPartnerUserId\": \"5e135a5a2b1f4c0008c9df79\",\n  \"merchantId\": \"5e27318c9b346f00087fbb32\",\n  \"submitterName\": \"Submitter Name\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "transactionId": "some cardlinked transaction id",
  "auditCode": 8001,
  "merchantName": "Caribbean Goodness",
  "auditDescription": "duplicate",
  "preferredContactEmail": "someone@company.com",
  "issuer": "Bank of You",
  "transactionAmountInCents": 2600,
  "referringPartnerUserId": "5e135a5a2b1f4c0008c9df79",
  "merchantId": "5e27318c9b346f00087fbb32",
  "submitterName": "Submitter Name"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://rewards-api.getkard.com/transactions/audit")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```